// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.ECGGraphSample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartArea;
import com.artfulbits.aiCharts.Base.ChartSeries;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;

public class MainActivity extends Activity
{
	static final double[] DEMO_DATA = { 0.02, 0.02, 0.02, 0.02, 0.05, 0.07, 0.06, 0.09, 0.06, 
		-0.2, 0.9, 0.5, -0.1, 0.02, 0.02, 0.04, 0.1, 0.08, 0.03, 0.02, 0.02, 0.02, 0.02, 0.02};
	ChartView m_chartView;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		m_chartView = (ChartView) findViewById(R.id.chartView);

		ChartArea area = m_chartView.getAreas().get(0);

		area.getDefaultXAxis().getGridLinePaint().setColor(Color.DKGRAY);
		area.getDefaultYAxis().getGridLinePaint().setColor(Color.DKGRAY);

		ChartSeries series = m_chartView.getSeries().get(0);

		for (int i = 0; i <= 100; i++)
		{
			series.getPoints().addXY(i, DEMO_DATA[i % DEMO_DATA.length]);
		}
	}
}
