// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.WidgetSample;

import android.appwidget.AppWidgetManager;
import android.appwidget.AppWidgetProvider;
import android.content.Context;
import android.graphics.Bitmap;
import android.widget.RemoteViews;

import com.artfulbits.aiCharts.Base.ChartArea;
import com.artfulbits.aiCharts.Base.ChartEngine;
import com.artfulbits.aiCharts.Base.ChartSeries;
import com.artfulbits.aiCharts.Types.ChartTypes;

public class ChartWidgetProvider extends AppWidgetProvider
{
	@Override
	public void onUpdate(Context context, AppWidgetManager appWidgetManager,
			int[] appWidgetIds)
	{
		for (int appWidgetId : appWidgetIds)
		{
			RemoteViews views = new RemoteViews(context.getPackageName(), R.layout.main);
			
			views.setImageViewBitmap(R.id.imageView, getChartImage(context));
			
			appWidgetManager.updateAppWidget(appWidgetId, views);
		}
		
		super.onUpdate(context, appWidgetManager, appWidgetIds);
	}
	
	private Bitmap getChartImage(Context context)
	{
		int width = context.getResources().getDimensionPixelSize(R.dimen.chart_width);
		int height = context.getResources().getDimensionPixelSize(R.dimen.chart_height);

		Bitmap bmp = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);

		ChartEngine chart = new ChartEngine();
		ChartSeries series = new ChartSeries(ChartTypes.Area);

		chart.getAreas().add(new ChartArea());
		series.getPoints().setData(new double[]{ 10, 30, 20, 40, 60});
		chart.getSeries().add(series);
		chart.save(bmp, true);
		
		return bmp; 
	}
}
