// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.SampleBrowser;

import java.util.ArrayList;
import java.util.List;

import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Gallery;
import android.widget.ImageView;

public class ImageAdapter extends android.widget.BaseAdapter
{
  int mGalleryItemBackground;
  
  private Context m_context;
  
  private List<ActivityInfo> m_chartActivities;
  
  private Integer[] mImageIds =
  { R.drawable.linechart, R.drawable.columnchart, R.drawable.piechart,
      R.drawable.pointchart, R.drawable.splinechart };
  
  public ImageAdapter( Context c, String categoryName )
  {
    
    m_context = c;
    m_chartActivities = getActivitiesFromPackage( categoryName );
    
  }
  
  public int getCount()
  {
    return mImageIds.length;
  }
  
  public Object getItem( int position )
  {
    return position;
  }
  
  public long getItemId( int position )
  {
    return position;
  }
  
  public View getView( int position, View convertView, ViewGroup parent )
  {
    ActivityInfo activityInfo = m_chartActivities.get( position );
    PackageManager pm = m_context.getPackageManager();
    ImageView i = new ImageView( m_context );
    i.setLayoutParams( new Gallery.LayoutParams( 150, 140 ) );
    i.setScaleType( ImageView.ScaleType.FIT_XY );
    Drawable icon = activityInfo.loadIcon( pm );
    i.setImageDrawable( icon );
    i.setTag( new String[]
    { activityInfo.applicationInfo.packageName, activityInfo.name,
        ( String )activityInfo.loadLabel( pm ) } );
    return i;
  }
  
  private List<ActivityInfo> getActivitiesFromPackage( String categoryName )
  {
    List<ActivityInfo> retValue = new ArrayList<ActivityInfo>();
    PackageManager pm = m_context.getPackageManager();
    Intent mainIntent = new Intent( Intent.ACTION_MAIN, null );
    mainIntent.addCategory( categoryName );
    List<ResolveInfo> list = pm.queryIntentActivities( mainIntent, 0 );
    for( ResolveInfo info : list )
    {
      retValue.add( info.activityInfo );
    }
    return retValue;
  }
  

 
  
}
