// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.columnsample;

import android.app.Activity;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.*;
import com.artfulbits.aiCharts.Base.ChartAxis.LabelsMode;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		String[] labels = {"Boxing", "Kickboxing", "Karate", "Street fighting", "RUN!!!"};
		double[] efficiency = { 35, 40, 30, 50, 100 };

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0);

		for (int i = 0; i < labels.length; i++)
		{
			ChartPoint point = series.getPoints().addXY(i, efficiency[i]);
			
			point.setAxisLabel(labels[i]);
		}
		
		ChartArea area = chartView.getAreas().get(0);
		
		area.getDefaultXAxis().setLabelsMode(LabelsMode.SeriesLabels);
	}
}
