// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.DoughnutSample;

import android.app.Activity;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartSeries;
import com.artfulbits.aiCharts.Types.ChartDoughnutType;
import com.artfulbits.aiCharts.Types.ChartPieType.LabelStyle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0); 

		String[] labels = { "milk", "yeast", "flour", 
				"eggs", "butter", "salt", "water", "sugar" };
		int[] weights = {180, 12, 450, 100, 100, 10, 250, 250 };
		
		for (int i = 0; i < weights.length; i++)
			series.getPoints().addXY(i, weights[i]).setLabel(labels[i]);
		
		series.setAttribute(ChartDoughnutType.LABEL_STYLE, LabelStyle.OutsideColumn);
		series.setAttribute(ChartDoughnutType.OPTIMIZE_POINTS, Boolean.FALSE);
	}
}
