// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.funnelsample;

import android.app.Activity;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartPalette;
import com.artfulbits.aiCharts.Base.ChartPoint;
import com.artfulbits.aiCharts.Base.ChartSeries;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ChartView chartView = (ChartView)findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0);
		
		ChartPalette pallete = ChartPalette.rangePalette(0xFFD10508, 0xFFD68F5A, 4);
		
		chartView.setPalette(pallete);
		
		double[] ingredients = {1.5, 3, 1.5, 4};
		String[] ingredientNames = { "Fresh Lime juice", 
		    "Cranberry juice", "Cointreau", "Vodka" };
		
		for (int i = 0; i < ingredientNames.length; i++)
		{
			ChartPoint point = series.getPoints().addXY(i, ingredients[i]);
			
			point.setLabel(ingredientNames[i]);
		}
	}
}
	
