// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.hilosample;

import java.util.Calendar;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartSeries;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ChartView chartView = (ChartView)findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0);
		
		double[] lo = {29, 29, 36, 31, 33, 36, 38, 39, 37, 37};
		double[] hi = {41, 46, 55, 45, 50, 55, 58, 58, 56, 59};
		
		Calendar calendar = Calendar.getInstance();
		
		calendar.clear();
		calendar.set(2010, Calendar.MARCH, 10);
		
		for (int i = 0; i < 10; i++)
		{
			series.getPoints().addDate(calendar, lo[i], hi[i]);
			calendar.roll(Calendar.DAY_OF_MONTH, true);
		}
	}
}
