// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.piesample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.*;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        ChartView chartView = (ChartView) findViewById(R.id.chartView);

        ChartSeries series = chartView.getSeries().get(0);

        double[] data = { 973, 4054, 732, 577, 337, 34 };
        String[] labels = { "Africa", "Asia", "Europe",
            "Latin America and the Caribbean", "Northern America", "Oceania" };
		
        for (int i = 0; i < data.length; i++)
        {
            ChartPoint point = series.getPoints().addXY(i, data[i]);
			
            point.setLabel(labels[i]);
        }
    }
}
