// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.pointsample;

import java.util.Random;

import android.app.Activity;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartArea;
import com.artfulbits.aiCharts.Base.ChartAxisStripLine;
import com.artfulbits.aiCharts.Base.ChartSeries;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ChartView chartView = (ChartView)findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0);
		
		Random random = new Random();
		
		for (int i = 0; i < 20; i++)
		{
			series.getPoints().addXY(i, random.nextInt(20));
		}
		
		ChartAxisStripLine vStripLine = new ChartAxisStripLine();
		ChartAxisStripLine hStripLine = new ChartAxisStripLine();
		
		vStripLine.setStart(8);
		vStripLine.setWidth(4);

		hStripLine.setStart(8);
		hStripLine.setWidth(4);
		
		ChartArea area = chartView.getAreas().get(0);
		
		area.getDefaultXAxis().getStripLines().add(vStripLine);
		area.getDefaultYAxis().getStripLines().add(hStripLine);
	}
}
