// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.pyramidsample;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Typeface;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartPalette;
import com.artfulbits.aiCharts.Base.ChartSeries;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ChartView chartView = (ChartView)findViewById(R.id.chartView);

		chartView.setPalette(ChartPalette.Grayscale);

		ChartSeries series = chartView.getSeries().get(0);
		String[] names = { "Zombies", "Humans", "Animals", "Plants" };
		
		for (int i = 0; i < names.length; i++)
		{
			series.getPoints().addXY(i, 1).setLabel(names[i]);
		}

		Paint labelPaint = new Paint();

		labelPaint.setTextSize(16);
		labelPaint.setTypeface(Typeface.DEFAULT_BOLD);
		labelPaint.setColor(Color.WHITE);
		labelPaint.setAntiAlias(true);

		series.setMarkerPaint(labelPaint);
		series.setBorderColor(0); // no border
	}
}
