// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.RangeAreaSample;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartSeries;

import android.app.Activity;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);

		ChartSeries series = chartView.getSeries().get(0);

		SQLiteDatabase db = openDB("data.db");

		series.getPoints().setData(db, "[values]",
				new String[] { "value1", "value2" });
	}

	public SQLiteDatabase openDB(String filename)
	{
		File file = getDatabasePath(filename);

		if (!file.exists())
		{
			File patentDir = file.getParentFile();

			if (!patentDir.exists())
				patentDir.mkdirs();

			int length = 0;
			byte[] buffer = new byte[2048];

			try
			{
				OutputStream output = new FileOutputStream(file);
				InputStream input = getAssets().open(filename);

				while ((length = input.read(buffer)) > 0)
				{
					output.write(buffer, 0, length);
				}

				output.close();
				input.close();
			}
			catch (IOException ex)
			{
				ex.printStackTrace();
			}
		}

		return SQLiteDatabase.openOrCreateDatabase(file, null);
	}
}
