// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.stackedareasample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartPoint;
import com.artfulbits.aiCharts.Base.ChartSeries;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ChartView chartView = (ChartView) findViewById(R.id.chartView);

		ChartSeries sunSeries = chartView.getSeries().get("Sun");
		ChartSeries rainSeries = chartView.getSeries().get("Rain");
		ChartSeries snowSeries = chartView.getSeries().get("Snow");
		
		String[] labels = { "summer", "autumn", "winter", "spring", "summer" }; 
		double[] sun = { 50, 30, 20, 40, 50 };
		double[] rain = { 30, 50, 5, 40, 30 };
		double[] snow = { 0, 30, 80, 20, 0 };
		
		for (int i = 0; i < sun.length; i++)
		{
			ChartPoint point = sunSeries.getPoints().addXY(i, sun[i]);
			
			rainSeries.getPoints().addXY(i, rain[i]);
			snowSeries.getPoints().addXY(i, snow[i]);
			
			point.setAxisLabel(labels[i]);
		}
	}
}
