// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.stackedbarsample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.*;
import com.artfulbits.aiCharts.Types.ChartTypes;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		
		ChartPalette palette = new ChartPalette(0xFFFFD700, 0xFFC0C0C0, 0xFFFF7F00);
		chartView.setPalette(palette);

		ChartSeries goldSeries = new ChartSeries("Gold", ChartTypes.StackedBar);
		ChartSeries silverSeries = new ChartSeries("Silver", ChartTypes.StackedBar);
		ChartSeries bronzeSeries = new ChartSeries("Bronze", ChartTypes.StackedBar);

		double[] gold = { 9, 10, 14, 9, 4, 3, 6, 5, 5, 2, 19 };
		double[] silver = { 15, 13, 7, 8, 6, 5, 6, 2, 2, 3, 20 };
		double[] bronze = { 13, 7, 5, 6, 6, 7, 2, 4, 4, 6, 25 };
		String[] labels = { "USA", "Germany", "Canada", "Norway", "Austria",
				"Russia Federation", "Korea", "China", "Sweden", "France", "Other" };

		for (int i = 0; i < labels.length; i++)
		{
			ChartPoint point = goldSeries.getPoints().addXY(i, gold[i]);

			silverSeries.getPoints().addXY(i, silver[i]);
			bronzeSeries.getPoints().addXY(i, bronze[i]);

			point.setAxisLabel(labels[i]);
		}

		chartView.getSeries().add(goldSeries);
		chartView.getSeries().add(silverSeries);
		chartView.getSeries().add(bronzeSeries);
		
		ChartArea area = chartView.getAreas().get(0);

		area.getDefaultYAxis().setLabelsMode(ChartAxis.LabelsMode.SeriesLabels);
	}
}
