// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.StepAreaSample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Annotations.ChartAnnotationPosition;
import com.artfulbits.aiCharts.Annotations.ChartDrawableAnnotation;
import com.artfulbits.aiCharts.Base.ChartArea;
import com.artfulbits.aiCharts.Base.ChartPoint;
import com.artfulbits.aiCharts.Base.ChartSeries;
import com.artfulbits.aiCharts.Enums.Alignment;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		ChartSeries series = chartView.getSeries().get(0);

		double[] ds = { 10, 20, 30, 40, 50, 60, 70, 80, 90, 90, 90 };

		for (int i = 0; i < ds.length; i++)
		{
			series.getPoints().addXY(i, ds[i]);
		}
		
		ChartArea area = chartView.getAreas().get(0);		
		series.setBackDrawable(new TwoColorDrawable(area, Color.RED, Color.BLUE, 33));
		
		ChartPoint point = series.getPoints().get(series.getPoints().size() - 2);
		
		Paint labelPaint = new Paint();
		
		labelPaint.setTextSize(20);
		labelPaint.setAntiAlias(true);
		labelPaint.setColor(0xFFFFCC33);
		labelPaint.setShadowLayer(10, 0, 0, 0xFFFFDF00);
		labelPaint.setTypeface(Typeface.DEFAULT_BOLD);
		
		point.setLabel("Success!!!");
		point.setShowLabel(Boolean.TRUE);
		point.setVLabelAlignment(Alignment.Near);
		point.setMarkerPaint(labelPaint);
		
		Drawable drawable = getResources().getDrawable(R.drawable.man);
		ChartDrawableAnnotation annotation = new ChartDrawableAnnotation(drawable);
		
		annotation.setPosition(ChartAnnotationPosition.relativeToSeries(series.getName(), 3));
		
		chartView.getChart().getAnnotations().add(annotation);
	}
}
