// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.zoomadvsample;

import android.app.Activity;
import android.os.Bundle;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartPointCollection;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		final ChartViewAdv chartView = new ChartViewAdv(this, R.xml.chart);

		chartView.setBackgroundResource(android.R.drawable.alert_dark_frame);
		chartView.setPanning(ChartView.PANNING_BOTH);
		
		// chart may contains more that one area.		
		chartView.enableZooming(chartView.getAreas().get(0), true, false);

		for (int is = 0; is < chartView.getSeries().size(); is++)
		{
			ChartPointCollection points = chartView.getSeries().get(is).getPoints();

			for (int ip = 0; ip < 100; ip++)
			{
				points.addXY(ip, 100 * Math.random());
			}
		}

		setContentView(chartView);
	}
}
