// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package aiCharts.Demo.UI;

import java.util.ArrayList;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;

public class OptionsPaneAdapter extends BaseAdapter
{
  // #region Nested types
  class ButtonRepresentation
  {
    String caption;
    
    int iconId;
    
    public ButtonRepresentation(String caption, int icoId)
    {
      this.caption = caption;
      this.iconId  = icoId;
    }
    
  }
  
  // #endregion
  
  // #region Members
  private ArrayList<ButtonRepresentation> m_buttons = new ArrayList<ButtonRepresentation>();
  
  // #endregion
  
  // #region Public methods
  public boolean add(String caption, int resId)
  {
    return m_buttons.add( new ButtonRepresentation(caption, resId) );
  }
  
  @Override
  public int getCount()
  {
    return m_buttons.size();
  }
  
  @Override
  public Object getItem( int position )
  {
    return m_buttons.get( position );
  }
  
  @Override
  public long getItemId( int position )
  {
    return getItem( position ).hashCode();
  }
  
  @Override
  public View getView( int position, View convertView, ViewGroup parent )
  {
    ButtonRepresentation buttonRep = m_buttons.get( position );
    ImageView im = new ImageView( parent.getContext() );
    im.setBackgroundResource( buttonRep.iconId );
    im.setTag( buttonRep.caption );
    im.setScaleType( ScaleType.CENTER_CROP );
    return im;
  }
  // #endregion
}
