@echo off
:: Copyright ArtfulBits Inc. 2005 - 2011. All rights reserved.
:: 
:: Use of this code is subject to the terms of our license.
:: A copy of the current license can be obtained at any time by e-mailing
:: info@artfulbits.com. Re-distribution in any form is strictly
:: prohibited. Any infringement will be prosecuted under applicable laws.
echo.
echo ArtfulBits^(c^) 2005-2011, aiCharts^(tm^) License Updater Utility Runner
echo --------------------------------------------------------------------

if not defined ProgramW6432 (
  call :check32 
) else (
  call :check64
)

if not defined java_exe (
  echo.
  echo Error: for utility running required installed Java Runtime on your 
  echo   computer. If Java Runtime Environment already installed on your 
  echo   computer then script can not find 'java.exe' file which is 
  echo   required for script proper running.
  echo.
  echo Please consider adding it to your path:
  echo - Under Windows XP, open Control Panel / System / Advanced / Environment Variables
  echo - Under Windows Vista or Windows 7, open Control Panel / System / Advanced System Settings / Environment Variables
  echo At the end of the "Path" entry in "User variables", add the following:
  echo   ;%full_path%
  goto :EOF
) else (
  echo.
  echo JRE found by path: %full_path%
)

start java.exe -jar "aiCharts License Updater.jar" 
goto :EOF

:: ------ UTILITY METHODS -----
:check64
echo Checking if it's installed in %ProgramW6432%\Java instead (64-bit).
set java_exe=
for /D %%a in ( "%ProgramW6432%\Java\*" ) do call :TestJavaDir "%%a"
goto :EOF

:check32
echo Checking if it's installed in %ProgramFiles%\Java instead.
set java_exe=
for /D %%a in ( "%ProgramFiles%\Java\*" ) do call :TestJavaDir "%%a"
goto :EOF

:TestJavaDir
:: do not allow to process routine if variable already found
if defined java_exe goto :EOF

set full_path=%~1\bin\java.exe
set short_path=%~s1\bin\java.exe
%short_path% -version 2>nul
if ERRORLEVEL 1 goto :EOF
set java_exe=%short_path%
goto :EOF
